<?php

namespace Tests\Feature;

// use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\TestCase;

class ExampleTest extends TestCase
{
    /**
     * A basic test example.
     */
    public function test_the_application_returns_a_successful_response(): void
    {
        $response = $this->get('/');

        $response->assertStatus(302);
    }

    public function test_api_documentation_page_loads_and_typo_redirects(): void
    {
        $response = $this->get('/api/documentation');
        $response->assertStatus(200);

        $responseTypo = $this->get('/api/documention');
        $responseTypo->assertRedirect('/api/documentation');
    }
}

